gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: now that buildmaster pulls dep


From: gnunet
Subject: [taler-deployment] branch master updated: now that buildmaster pulls deployment, do not do so in shell scripts anymore
Date: Sun, 15 Dec 2019 16:48:01 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 7d20c27  now that buildmaster pulls deployment, do not do so in shell 
scripts anymore
7d20c27 is described below

commit 7d20c273c7a1c77a2ab036e717dc861c6c2052ac
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Dec 15 16:47:59 2019 +0100

    now that buildmaster pulls deployment, do not do so in shell scripts anymore
---
 buildbot/build-docs.sh           | 13 -------------
 buildbot/build-sites.sh          |  9 ---------
 buildbot/build-walletcore.sh     |  7 -------
 buildbot/build.sh                | 19 +++----------------
 buildbot/coverage.sh             | 19 +++----------------
 buildbot/make_auditor_reports.sh | 13 -------------
 buildbot/master.cfg              |  2 +-
 buildbot/top_reserve.sh          |  2 --
 8 files changed, 7 insertions(+), 77 deletions(-)

diff --git a/buildbot/build-docs.sh b/buildbot/build-docs.sh
index 0c8a94c..e6b4420 100755
--- a/buildbot/build-docs.sh
+++ b/buildbot/build-docs.sh
@@ -1,17 +1,4 @@
 #!/bin/bash
-
 set -eu
-
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
-  git reset --hard "$branch"
-}
-
-cd $HOME/deployment
-fetch
-
 cd ~/deployment/taler-docbuild
 ./update_docs.sh
diff --git a/buildbot/build-sites.sh b/buildbot/build-sites.sh
index a380a15..8d6249c 100755
--- a/buildbot/build-sites.sh
+++ b/buildbot/build-sites.sh
@@ -1,14 +1,5 @@
 #!/bin/bash
-
 set -eu
-
-cd $HOME/deployment
-
-# like "git pull", but discard local changes
-git fetch
-git reset --hard FETCH_HEAD
-
 cd $HOME/stamps
-
 ./invalidate.sh
 make
diff --git a/buildbot/build-walletcore.sh b/buildbot/build-walletcore.sh
index f5cedff..8d8e9f4 100755
--- a/buildbot/build-walletcore.sh
+++ b/buildbot/build-walletcore.sh
@@ -1,12 +1,5 @@
 #!/bin/sh
-
 set -eu
 
-cd $HOME/deployment
-git clean -fdx
-git fetch
-branch=$(git rev-parse --abrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
-git reset --hard "$branch"
-
 cd $HOME/deployment/taler-walletbuild
 ./build_wallet-core.sh
diff --git a/buildbot/build.sh b/buildbot/build.sh
index f606fc5..60e4ed5 100755
--- a/buildbot/build.sh
+++ b/buildbot/build.sh
@@ -5,24 +5,11 @@ set -eu
 PAUSE_LOCKFILE=/tmp/buildbot_pause.lock
 
 if [ -f $PAUSE_LOCKFILE ]; then
-echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
-
-# Treat this as error, so dependent schedulers won't fire up.
-exit 1
+    echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
+    # Treat this as error, so dependent schedulers won't fire up.
+    exit 1
 fi
 
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
-  git reset --hard "$branch"
-}
-
-cd $HOME/deployment
-fetch
-cd
-
 echo "Running taler-deployment bootstrap"
 source "${HOME}/activate"
 taler-deployment bootstrap
diff --git a/buildbot/coverage.sh b/buildbot/coverage.sh
index 801756c..043c55b 100755
--- a/buildbot/coverage.sh
+++ b/buildbot/coverage.sh
@@ -5,24 +5,11 @@ set -eu
 PAUSE_LOCKFILE=/tmp/buildbot_pause.lock
 
 if [ -f $PAUSE_LOCKFILE ]; then
-echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
-
-# Treat this as error, so dependent schedulers won't fire up.
-exit 1
+    echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
+    # Treat this as error, so dependent schedulers won't fire up.
+    exit 1
 fi
 
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
-  git reset --hard "$branch"
-}
-
-cd $HOME/deployment
-fetch
-cd
-
 source "${HOME}/activate"
 
 for codebase in merchant exchange ; do
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index f9bdf85..c122d18 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -5,19 +5,6 @@
 # The results will be found under ${HOME}/reports/
 
 set -eu
-
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
-  git reset --hard "$branch"
-}
-
-cd $HOME/deployment
-fetch
-cd
-
 source ${HOME}/activate
 
 taler-deployment-config-generate
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 21b204c..e670090 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -312,7 +312,7 @@ def git_step(repo,target_branch="master"):
 
 # Convenience function that checks out the deployment.
 def update_deployment(factory):
-    return factory.addStep(git_step("git://git.taler.net/deployment.git"))
+    factory.addStep(git_step("git://git.taler.net/deployment.git"))
 
 # Create a FACTORY with a deployment.git checkout as the first step.
 def create_factory_with_deployment():
diff --git a/buildbot/top_reserve.sh b/buildbot/top_reserve.sh
index c2538bc..d6e8956 100755
--- a/buildbot/top_reserve.sh
+++ b/buildbot/top_reserve.sh
@@ -1,6 +1,4 @@
 #!/bin/bash
-
 set -eu
-
 source "${HOME}/activate"
 taler-deployment-top-reserve

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]